import RenderWithoutJS from "@/components/RenderWithoutJS";
import Sidebar from "@/components/Sidebar";
import index from "@/styles/Index.module.sass";
import Head from "next/head";
import Link from "@/components/Link";
const Hello = [
  "Ahoy!",
  "Ahoy there!",
  "Hey there!",
  "Howdy howdy!",
  "Howdy, friend!",
  "Howdy!",
  "Hey!",
  "Hey there!",
  "Hi!",
  "Hello!",
  "Hello there!",
  "Hi there!",
];
function randomHello() {
  return Hello[Math.floor(Math.random() * Hello.length)];
}

const IndexPage = () => {
  return (
    <RenderWithoutJS>
      <main id={index.layout}>
        <Head>
          <title>lio</title>
          <script
            defer
            src="https://umami.implant.cam/script.js"
            data-website-id="23e7326f-bace-493b-a995-bdc31c3805fe"
          ></script>
        </Head>
        <Sidebar />
        <section id={index.main}>
          <h1>{randomHello()}</h1>
          <p>
            welcome to my corner of the internet.
            <br />
            i'm lio, 22 y/o, from Germany.{" "}
            <i>
              <strong>they/them</strong>
            </i>{" "}
            pronouns. <br />
            software dev and ui designer
          </p>
          <p>
            If you want to see my professional work, you can visit{" "}
            <Link
              href="https://datashard.work"
              withArrow
              title="datashard.work"
            />
          </p>
        </section>
      </main>
    </RenderWithoutJS>
  );
};

export default IndexPage;
